package com.xunhong.erp.turbo.biz.domain.gateway;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xunhong.erp.turbo.api.biz.dto.cmd.DealerCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.DealerDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.DealerDragCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.DealerUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.DealerListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.DealerPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.DealerShowQry;
import com.xunhong.erp.turbo.biz.domain.entity.Dealer;

import java.util.List;

/**
 * @author shenyifei
 */
public interface DealerGateway {
	Dealer save(DealerCreateCmd dealerCreateCmd);

	IPage<Dealer> page(DealerPageQry dealerPageQry);

	List<Dealer> list(DealerListQry dealerListQry);

	Dealer update(DealerUpdateCmd dealerUpdateCmd);

	Dealer show(DealerShowQry dealerShowQry);

	void destroy(DealerDestroyCmd dealerDestroyCmd);

	void drag(DealerDragCmd dealerDragCmd);
}
